#
# spec file for package rubygem-rubocop-ast
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubocop-ast
Version:        1.44.0
Release:        1.1
%define mod_name rubocop-ast
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  fdupes
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/rubocop/rubocop-ast
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        RuboCop tools to deal with Ruby code AST
License:        MIT

%description
RuboCop's Node and NodePattern classes.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f
# MANUAL
for dir in %{buildroot}%{_libdir}/ruby/gems/* ; do
    %fdupes $dir
done
# /MANUAL

%gem_packages

%changelog
* Wed Apr  9 2025 Mykola Krachkovsky <w01dnick@gmail.com>
- Updated to version 1.44.0
  [#]# 1.44.0 (2025-04-03)
  [#]## New features
  * [#377](https://github.com/rubocop/rubocop-ast/pull/377): Support `RuboCop::AST::Node#any_def_type?` method. ([@koic][])
  [#]# 1.43.0 (2025-03-25)
  [#]## Changes
  * [#374](https://github.com/rubocop/rubocop-ast/pull/374): Use the `prism` translation layer to analyze Ruby 3.4 by default. ([@earlopain])
  * [#373](https://github.com/rubocop/rubocop-ast/pull/373): Add `prism` as a runtime dependency. ([@earlopain])
  [#]# 1.42.0 (2025-03-25)
  [#]## New features
  * [#370](https://github.com/rubocop/rubocop-ast/pull/370):  Support `Prism::Translation::Parser35` for Ruby 3.5 parser (experimental). ([@earlopain][], [@koic][])
  [#]# 1.41.0 (2025-03-21)
  [#]## New features
  * [#365](https://github.com/rubocop/rubocop-ast/pull/365): Add support for `itblock` node for Ruby 3.4. ([@earlopain][])
  [#]# 1.40.0 (2025-03-19)
  [#]## Changes
  * [#354](https://github.com/rubocop/rubocop-ast/pull/354): Use `Prism::Translation::Parser::Builder` when parsing with prism. ([@earlopain][])
  [#]# 1.39.0 (2025-03-16)
  [#]## New features
  * [#359](https://github.com/rubocop/rubocop-ast/pull/359): Enable reusable Prism parse result. ([@koic][])
  [#]# 1.38.1 (2025-02-25)
  [#]## Bug fixes
  * [#360](https://github.com/rubocop/rubocop-ast/pull/360): Fix an error when the `Array` core class contains a writer method before `rubocop-ast` loaded. ([@earlopain][])
  [#]# 1.38.0 (2025-01-27)
  [#]## New features
  * [#346](https://github.com/rubocop/rubocop-ast/pull/346): Add `Node#loc?` to determine if a node has a given location. ([@dvandersluis][])
  * [#356](https://github.com/rubocop/rubocop-ast/pull/356): Added `:any_block` as an alias for `:block` and `:numblock`, use it with `Node#any_block_type?`. Also available in node patterns: `{block numblock}` can become `any_block`. ([@earlopain][])
  [#]## Bug fixes
  * [#323](https://github.com/rubocop/rubocop-ast/issues/323): Fix node captures inside of `?`, `+`, and `*` repetition. ([@earlopain][])
  [#]## Changes
  * [#357](https://github.com/rubocop/rubocop-ast/pull/357): Support node groups in `Node#each_descendant` and similar traversal methods. ([@earlopain][])
  [#]# 1.37.0 (2024-12-13)
  [#]## New features
  * [#341](https://github.com/rubocop/rubocop-ast/pull/341): Make `RuboCop::AST::IfNode` support `then?`. ([@koic][])
  * [#345](https://github.com/rubocop/rubocop-ast/pull/345): Add `Node#loc_is?` for easier test of locations. ([@marcandre][])
  [#]## Changes
  * [#343](https://github.com/rubocop/rubocop-ast/pull/343): Add `StrNode#single_quoted?`, `StrNode#double_quoted?` and `StrNode#percent_literal?` to simplify checking for string delimiters. ([@dvandersluis][])
  [#]# 1.36.2 (2024-11-27)
  [#]## Bug fixes
  * [#340](https://github.com/rubocop/rubocop-ast/pull/340): Handle anonymous splats in `MlhsNode`. ([@earlopain][])
  [#]# 1.36.1 (2024-11-13)
  [#]## Bug fixes
  * [#339](https://github.com/rubocop/rubocop-ast/pull/339): Do not emit a deprecation warning for `EnsureNode#body` to give RuboCop a chance to update its usage. `EnsureNode#body` will still be changed in the next major version of `rubocop-ast`. ([@earlopain][])
  [#]# 1.36.0 (2024-11-13)
  [#]## Changes
  * [#337](https://github.com/rubocop/rubocop-ast/pull/337): Deprecate `EnsureNode#body` in favour of `EnsureNode#branch`. `EnsureNode#body` will be redefined in the next major version of rubocop-ast. ([@dvandersluis][])
  [#]# 1.35.0 (2024-11-11)
  [#]## New features
  * [#333](https://github.com/rubocop/rubocop-ast/pull/333): Add `BeginNode` for `kwbegin` nodes. ([@dvandersluis][])
  [#]## Changes
  * [#333](https://github.com/rubocop/rubocop-ast/pull/333): Add `EnsureNode#rescue_node` method. ([@dvandersluis][])
  [#]# 1.34.1 (2024-11-07)
  [#]## New features
  * [#329](https://github.com/rubocop/rubocop-ast/pull/329): Add `Node#type?` to reduce complexity of checking against multiple node types. ([@dvandersluis][])
  * [#330](https://github.com/rubocop/rubocop-ast/pull/330): Extend `Node#const_name` to `casgn` nodes. ([@dvandersluis][])
  [#]## Bug fixes
  * [#331](https://github.com/rubocop/rubocop-ast/issue/331): [Fix #331] Fix crash in `OpAsgnNode#name` when the lhs is a `send` or `csend` node. ([@dvandersluis][])
  [#]# 1.34.0 (2024-11-04)
  [#]## New features
  - [#326](https://github.com/rubocop-hq/rubocop-ast/pull/326): Introduce `lhs` and `rhs` aliases to assignment nodes for consistency. ([@dvandersluis][])
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.33.1, no changelog found
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.31.3, no changelog found
* Sat Mar 16 2024 Mykola Krachkovsky <w01dnick@gmail.com>
- Updated to 1.31.2
  [#]# 1.31.2 (2024-03-08)
  [#]## Bug fixes
  * [#286](https://github.com/rubocop/rubocop-ast/pull/286): Improve error message for invalid `parser_engine` value. ([@Earlopain][])
  [#]# 1.31.1 (2024-03-01)
  [#]## Changes
  * [#282](https://github.com/rubocop/rubocop-ast/issues/282): Remove Prism from runtime dependency. ([@koic][])
  [#]# 1.31.0 (2024-02-29)
  [#]## New features
  * [#277](https://github.com/rubocop/rubocop-ast/pull/277): Support Prism as a Ruby parser (experimental). ([@koic][])
  * [#276](https://github.com/rubocop-hq/rubocop-ast/pull/276): Support `Parser::Ruby34` for Ruby 3.4 parser (experimental). ([@koic][])
  [#]## Changes
  * [#279](https://github.com/rubocop/rubocop-ast/pull/279): **(Compatibility)** Drop Ruby 2.6 runtime support. ([@koic][])
  * [#272](https://github.com/rubocop/rubocop-ast/pull/272): Make `Node#left_curly_brace?` aware of lambda brace. ([@koic][])
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.30.0, no changelog found
* Sat Sep  2 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 1.29.0
  [#]# 1.29.0 (2023-06-01)
  * [#262](https://github.com/rubocop/rubocop-ast/pull/267): Introduce RuboCop::Ast::MethodDispatchNode#selector. ([@gsamokovarov][])
  [#]# 1.28.1 (2023-05-01)
  [#]## Bug fixes
  * [#262](https://github.com/rubocop/rubocop-ast/pull/262): Fix an error when parsing non UTF-8 frozen string. ([@koic][])
  [#]# 1.28.0 (2023-03-24)
  [#]## New features
  * [#259](https://github.com/rubocop/rubocop-ast/pull/259): Add `forwarded_kwrestarg` node to `AST::Builder`. ([@koic][])
  [#]# 1.27.0 (2023-02-27)
  [#]## New features
  * [#229](https://github.com/rubocop/rubocop-ast/pull/229): Add `source_range` method to `NodePattern`. ([@koic][])
  [#]# 1.26.0 (2023-02-11)
  [#]## New features
  * [#255](https://github.com/rubocop/rubocop-ast/pull/255): Make `Node#class_constructor?` aware of Ruby 3.2's `Data.define`. ([@koic][])
  * [#255](https://github.com/rubocop/rubocop-ast/pull/255): Make `Node#class_construcor?` aware of Ruby 2.7's numbered parameters. ([@koic][])
  [#]# 1.25.0 (2023-02-11)
  [#]## New features
  * [#256](https://github.com/rubocop-hq/rubocop-ast/pull/256): Support `Parser::Ruby33` for Ruby 3.3 parser (experimental). ([@koic][])
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.24.0
  no changelog found
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.23.0
  no changelog found
* Fri Aug 26 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.21.0
  [#]## New features
  * [#231](https://github.com/rubocop/rubocop-ast/pull/231): Add a type predicate `dot?` to Token. ([@nobuyo][])
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.19.1
  no changelog found
* Mon May 16 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.18.0
  [#]## New features
  * [#233](https://github.com/rubocop-hq/rubocop-ast/pull/233): Make parse from Ruby 1.9 to 2.3 available. ([@koic][])
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.17.0
  no changelog found
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.16.0
  [#]## New features
  * [#223](https://github.com/rubocop-hq/rubocop-ast/pull/223): Support `Parser::Ruby32` for Ruby 3.2 parser (experimental). ([@koic][])
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.15.2
  no changelog found
* Thu Dec 30 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.15.1
  [#]## Bug fixes
  * [#10220](https://github.com/rubocop/rubocop/pull/10220): Make `AST::Node#receiver` aware of `csend` block method calls. ([@koic][])
* Wed Dec 22 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.15.0
  [#]# 1.15.0 (2021-12-12)
  [#]## New features
  * [#10219](https://github.com/rubocop/rubocop/pull/10219): Add `value_omission` method to `AST::PairNode` for Ruby 3.1's hash value omission. ([@koic][])
  [#]# 1.14.0 (2021-12-02)
  [#]## New features
  * [#218](https://github.com/rubocop/rubocop-ast/pull/218): Support Ruby 3.1's anonymous block forwarding syntax. ([@koic][])
  [#]# 1.13.0 (2021-11-07)
  [#]## New features
  * [#213](https://github.com/rubocop/rubocop-ast/pull/213): Make `Node#numeric_type?` aware of rational and complex literals. ([@koic][])
* Sat Oct  9 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.12.0
  [#]## Bug fixes
  * [#208](https://github.com/rubocop/rubocop-ast/issues/208): Update `MethodDispatchNode#block_literal?` to return true for `numblock`s. ([@dvandersluis][])
* Wed Aug 25 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.11.0
  [#]## New features
  * [#205](https://github.com/rubocop/rubocop-ast/pull/205): Make class, module, and struct definitions aware of numblock. ([@koic][])
  [#]# 1.10.0 (2021-08-12)
  [#]## New features
  * [#201](https://github.com/rubocop-hq/rubocop-ast/pull/201): Add discrete node classes for assignments. ([@dvandersluis][])
  [#]# 1.9.1 (2021-08-10)
  [#]## Bug fixes
  * [#197](https://github.com/rubocop-hq/rubocop-ast/pull/197): [Fix #184] Fix `Node#parent_module_name` for `sclass` nodes. ([@dvandersluis][])
  [#]# 1.9.0 (2021-08-06)
  [#]## New features
  * [#195](https://github.com/rubocop-hq/rubocop-ast/pull/195): Move `ProcessedSource#sorted_tokens` to be a public method. ([@dvandersluis][])
* Thu Jul 29 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.8.0
  [#]## New features
  * [#192](https://github.com/rubocop/rubocop-ast/pull/192): Add `branches` method for `AST::CaseMatchNode`. ([@koic][])
  [#]## Changes
  * Escape References in Documentation, partially addressing https://github.com/rubocop/rubocop/issues/9150. ([@wcmonty][])
* Tue Jun  1 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.7.0
  [#]# 1.7.0 (2021-05-28)
  [#]## New features
  * [#171](https://github.com/rubocop-hq/rubocop-ast/pull/171): Add `SendNode#def_modifier` that returns the `def` node it modifies, or `nil`. ([@marcandre][])
  * [#186](https://github.com/rubocop-hq/rubocop-ast/pull/186): Add `pattern` method for `AST::InPatternNode` node. ([@koic][])
  [#]# 1.6.0 (2021-05-26)
  [#]## New features
  * [#183](https://github.com/rubocop-hq/rubocop-ast/pull/183): Add `AST::InPatternNode` node. ([@koic][])
* Thu May  6 2021 Dan Čermák <dcermak@suse.com>
  [#]# 1.5.0 (2021-05-02)
  [#]## New features
  * [#182](https://github.com/rubocop-hq/rubocop-ast/pull/182): Support `Parser::Ruby31` for Ruby 3.1 parser (experimental). ([@koic][])
  [#]# 1.4.2 (2021-05-02)
  [#]## Bug fixes
  * [#179](https://github.com/rubocop-hq/rubocop-ast/pull/179): Have `ast_with_comments` distinguish nodes with same content. ([@marcandre][])
* Thu Apr  8 2021 Dan Čermák <dcermak@suse.com>
- New upstream release 1.4.1
  [#]# 1.4.1 (2021-01-23)
  [#]## Changes
  * [#167](https://github.com/rubocop-hq/rubocop-ast/pull/167): Fix `#value` for `dstr` nodes to return the actual string value. ([@dvandersluis][])
* Mon Jan  4 2021 Dan Čermák <dcermak@suse.com>
- New upstream release 1.4.0
  [#]# 1.4.0 (2021-01-01)
  [#]## Changes
  * [#162](https://github.com/rubocop-hq/rubocop-ast/pull/162): Improve compatibility with `parser` 3.0. Turn on `emit_match_pattern` switch. ([@marcandre][])
  [#]# 1.3.0 (2020-11-30)
  [#]## Changes
  * [#156](https://github.com/rubocop-hq/rubocop-ast/issues/156): NodePattern now considers constant names to refer to constants (instead of predicate `#Example_type?`). ([@marcandre][])
  [#]# 1.2.0 (2020-11-24)
  [#]## New features
  * [#154](https://github.com/rubocop-hq/rubocop-ast/pull/154): Add `ArgNode` and `Procarg0Node` ("modern" mode), and add `ArgsNode#argument_list` to get only argument type nodes. ([@dvandersluis][])
  [#]## Changes
  * [#155](https://github.com/rubocop-hq/rubocop-ast/pull/155): Enable `BlockNode#argument_list` for `numblock`s. ([@dvandersluis][])
  * [#154](https://github.com/rubocop-hq/rubocop-ast/pull/154): Add `BlockNode#argument_list` and `BlockNode#argument_names`. ([@dvandersluis][])
  * [#147](https://github.com/rubocop-hq/rubocop-ast/pull/147): `def_node_pattern` and `def_node_search` now return the method name. ([@marcandre][])
* Fri Nov 20 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 1.1.1
  [#]# 1.1.1 (2020-11-04)
  [#]## Bug fixes
  * [#146](https://github.com/rubocop-hq/rubocop-ast/pull/146): Fix `IfNode#branches` to return both branches when called on ternary conditional. ([@fatkodima][])
* Mon Nov  2 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 1.1.0
  [#]# 1.1.0 (2020-10-26)
  [#]## New features
  * [#144](https://github.com/rubocop-hq/rubocop-ast/pull/144): NodePattern: allow method calls on constants. ([@marcandre][])
  [#]# 1.0.1 (2020-10-23)
  [#]## Bug fixes
  * [#141](https://github.com/rubocop-hq/rubocop-ast/pull/141): Make `SendNode#macro?` and `RuboCop::AST::Node#class_constructor?` aware of struct constructor and `RuboCop::AST::Node#struct_constructor?` is deprecated. ([@koic][])
  * [#142](https://github.com/rubocop-hq/rubocop-ast/pull/142): Only traverse send nodes in `MethodDispatchNode#def_modifier?`. ([@eugeneius][])
  [#]# 1.0.0 (2020-10-21)
  [#]## Changes
  * None since 0.8; official 1.0 release coinciding with RuboCop 1.0 and API considered stable. ([@marcandre][])
  [#]# 0.8.0 (2020-10-12)
  [#]## New features
  * [#49](https://github.com/rubocop-hq/rubocop-ast/pull/49): Add `DefNode#endless?` (Ruby 3.0). ([@marcandre][])
  * [#117](https://github.com/rubocop-hq/rubocop-ast/pull/117): Future-proof `AST::Traversal` by detecting unknown `Node` types. ([@marcandre][])
  * [#131](https://github.com/rubocop-hq/rubocop-ast/pull/131): Add rake tasks to merge and create Changelog entries. ([@marcandre][])
  [#]## Bug fixes
  * [#117](https://github.com/rubocop-hq/rubocop-ast/pull/117): All nodes of `break` and `next` are now traversed. ([@marcandre][])
  [#]# 0.7.1 (2020-09-28)
  [#]## Bug fixes
  * [#127](https://github.com/rubocop-hq/rubocop-ast/pull/127): Fix dependency issue for JRuby. ([@marcandre][])
  [#]# 0.7.0 (2020-09-27)
  [#]## New features
  * [#105](https://github.com/rubocop-hq/rubocop-ast/pull/105): `NodePattern` compiler [complete rewrite](https://docs.rubocop.org/rubocop-ast/node_pattern_compiler.html). Add support for multiple variadic terms. ([@marcandre][])
  * [#109](https://github.com/rubocop-hq/rubocop-ast/pull/109): Add `NodePattern` debugging rake tasks: `test_pattern`, `compile`, `parse`. See also [this app](https://nodepattern.herokuapp.com) ([@marcandre][])
  * [#110](https://github.com/rubocop-hq/rubocop-ast/pull/110): Add `NodePattern` support for multiple terms unions. ([@marcandre][])
  * [#111](https://github.com/rubocop-hq/rubocop-ast/pull/111): Optimize some `NodePattern`s by using `Set`s. ([@marcandre][])
  * [#112](https://github.com/rubocop-hq/rubocop-ast/pull/112): Add `NodePattern` support for Regexp literals. ([@marcandre][])
  [#]## Changes
  * [#22](https://github.com/rubocop-hq/rubocop-ast/issues/22): **(Potentially breaking)** Most constants are now private, the rest are converted to Sets and meant to be private. ([@marcandre][])
  [#]# 0.6.0 (2020-09-26)
  [#]## New features
  * [#124](https://github.com/rubocop-hq/rubocop-ast/pull/124): Add `RegexpNode#options`. ([@owst][])
  [#]# 0.5.1 (2020-09-25)
  [#]## Bug fixes
  * [#120](https://github.com/rubocop-hq/rubocop-ast/pull/120): **(Potentially breaking)** Fix false positives and negatives for `SendNode#macro?`. This impacts `{non_}bare_access_modifier?` and `special_access_modifier?`. ([@marcandre][])
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.5.0
  no changelog found
* Mon Aug 24 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 0.3.0:
  [#]# 0.3.0 (2020-08-01)
  [#]## New features
  * [#70](https://github.com/rubocop-hq/rubocop-ast/pull/70): Add `NextNode` ([@marcandre][])
  * [#85](https://github.com/rubocop-hq/rubocop-ast/pull/85): Add `IntNode#value` and `FloatNode#value`. ([@fatkodima][])
  * [#82](https://github.com/rubocop-hq/rubocop-ast/pull/82): `NodePattern`: Allow comments ([@marcandre][])
  * [#83](https://github.com/rubocop-hq/rubocop-ast/pull/83): Add `ProcessedSource#comment_at_line` ([@marcandre][])
  * [#83](https://github.com/rubocop-hq/rubocop-ast/pull/83): Add `ProcessedSource#each_comment_in_lines` ([@marcandre][])
  * [#84](https://github.com/rubocop-hq/rubocop-ast/pull/84): Add `Source::Range#line_span` ([@marcandre][])
  * [#87](https://github.com/rubocop-hq/rubocop-ast/pull/87): Add `CaseNode#branches` ([@marcandre][])
  [#]## Bug fixes
  * [#70](https://github.com/rubocop-hq/rubocop-ast/pull/70): Fix arguments processing for `BreakNode` ([@marcandre][])
  * [#70](https://github.com/rubocop-hq/rubocop-ast/pull/70): **(Potentially breaking)** `BreakNode` and `ReturnNode` no longer include `MethodDispatchNode`. These methods were severely broken ([@marcandre][])
  [#]## Changes
  * [#44](https://github.com/rubocop-hq/rubocop-ast/issue/44): **(Breaking)** Use `parser` flag `self.emit_forward_arg = true` by default. ([@marcandre][])
  * [#86](https://github.com/rubocop-hq/rubocop-ast/pull/86): `PairNode#delimiter` and `inverse_delimiter` now accept their argument as a named argument. ([@marcandre][])
  * [#87](https://github.com/rubocop-hq/rubocop-ast/pull/87): **(Potentially breaking)** Have `IfNode#branches` return a `nil` value if source has `else; end` ([@marcandre][])
  * [#72](https://github.com/rubocop-hq/rubocop-ast/pull/72): **(Potentially breaking)** `SuperNode/DefinedNode/YieldNode#arguments` now return a frozen array. ([@marcandre][])
  [#]# 0.2.0 (2020-07-19)
  [#]## New features
  * [#50](https://github.com/rubocop-hq/rubocop-ast/pull/50): Support find pattern matching for Ruby 2.8 (3.0) parser. ([@koic][])
  * [#55](https://github.com/rubocop-hq/rubocop-ast/pull/55): Add `ProcessedSource#line_with_comment?`. ([@marcandre][])
  * [#63](https://github.com/rubocop-hq/rubocop-ast/pull/63): NodePattern now supports patterns as arguments to predicate and functions. ([@marcandre][])
  * [#64](https://github.com/rubocop-hq/rubocop-ast/pull/64): Add `Node#global_const?`. ([@marcandre][])
  * [#28](https://github.com/rubocop-hq/rubocop-ast/issues/28): Add `struct_constructor?`, `class_definition?` and `module_definition?` matchers. ([@tejasbubane][])
  [#]## Bug fixes
  * [#55](https://github.com/rubocop-hq/rubocop-ast/pull/55): Fix `ProcessedSource#commented?` for multi-line ranges. Renamed `contains_comment?` ([@marcandre][])
  * [#69](https://github.com/rubocop-hq/rubocop-ast/pull/69): **(Potentially breaking)** `RetryNode` has many errors. It is now a `Node`. ([@marcandre][])
* Mon Aug 17 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 0.1.0
  New features
  * #36: Add post_condition_loop? and loop_keyword? for Node. (@fatkodima)
  * #38: Add helpers allowing to check whether the method is a nonmutating operator method or a nonmutating method of several core classes. (@fatkodima)
  * #37: Add enumerable_method? for MethodIdentifierPredicates. (@fatkodima)
  * #4: Add interpolation? for RegexpNode. (@tejasbubane)
  * #20: Add option predicates for RegexpNode. (@owst)
  * #11: Add argument_type? method to make it easy to recognize argument nodes. (@tejasbubane)
  * #31: NodePattern now uses param === node to match params, which allows Regexp, Proc, Set in addition to Nodes and literals. (@marcandre)
  * #41: Add delimiters and related predicates for RegexpNode. (@owst)
  * #46: Basic support for non-legacy AST output from parser. Note that there is no support (yet) in main RuboCop gem. Expect emit_forward_arg to be set to true in v1.0 (@marcandre)
  * #48: Support Parser::Ruby28 for Ruby 2.8 (3.0) parser (experimental). (@koic)
  * #35: NodePattern now accepts %%named_param and %%CONST. The macros def_node_pattern and def_node_search accept default named parameters. (@marcandre)
* Mon Jun  8 2020 Dan Čermák <dcermak@suse.com>
- Initial package version
